#ifndef __cancelableWindowFactory
#define __cancelableWindowFactory

// -------------------------------- includes ---------------------------
#include <qwidget.h>
#include <copyfact.h>
//----------------------------------------------------------------------

/**
   A Factory for generating elements for the @ref CancelableWindow widget.

   To use the @ref CancelableWindow widget the user must create an instance
   of a subclass of this widget. This instance must override the @ref
   create method to return a QWidget with the content to be shown in the
   popup menu. 

   Futhermore, the user may override the @ref copy menthod of this widget
   to copy date of widgets not handled by the @ref CopyFactory. This is
   necesary to ensure that the date of the widget shown in the
   CancelableWindow widget may be copied to ensure that the 'cancel'
   functionallity copies all data.
**/
class CancelableWindowFactory : public CopyFactory
{
Q_OBJECT

public:
  virtual QWidget *create(QWidget *parent) = 0;
};


#endif // __cancelableWindowfactory
