/* 
 *  Copyright (C) 1999-2000 Bernd Gehrmann
 *                          bernd@physik.hu-berlin.de
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this library; see the file COPYING.LIB.  If not, write to
 *  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *  Boston, MA 02111-1307, USA.
 */

#ifndef _PEOPLESEARCH_H_
#define _PEOPLESEARCH_H_


#include <qstringlist.h>
#include "ldapsearchjob.h"

namespace KSearch {

class PeopleSite;
class LdapSiteManager;


class PeopleSiteManager
{
public:
    PeopleSiteManager();
    ~PeopleSiteManager();
    PeopleSite *find(const QString &name);
    QStringList siteList();

private:
    LdapSiteManager *d;
};


class PeopleJob : public LdapSearchJob
{
    Q_OBJECT
    
public:
    PeopleJob(PeopleSite *site, const QString &searchtext);

signals:
    void foundItem(const QString &sitename, const QString &name,
                   const QString &email, const QString &phone, const KSearch::LdapItem &item);
                   
protected:
    virtual void parseItem(const LdapItem &item);
};

}

#endif 
